[log]
  level = "INFO"

[accessLog]
  filePath = "/etc/traefik/access.log"

[entryPoints]
  [entryPoints.web]
    address = ":80"

    [entryPoints.web.forwardedHeaders]
      insecure = true
    
    [entryPoints.web.http]
      [entryPoints.web.http.redirections]
        [entryPoints.web.http.redirections.entryPoint]
          to = "web-secure"
          scheme = "https"

  [entryPoints.web-secure]
    address = ":443"

    [entryPoints.web-secure.forwardedHeaders]
      insecure = true
    
    [entryPoints.websecure.http]
      middlewares = ["secHeaders@file"]

[api]
  dashboard = true
  insecure = true

[providers.docker]
  watch = true
  exposedByDefault = false

[providers.file]
  filename = "/etc/traefik/traefik-dynamic.toml"

[certificatesResolvers.myresolver.acme]
  email = "inf20155@lehre.dhbw-stuttgart.de"
  storage = "/etc/traefik/acme.json"
  [certificatesResolvers.myresolver.acme.httpChallenge]
    entryPoint = "web"